$!++
$! build_dist_obj.com
$! build object modules distribution kit -- 26-DEC-1998 Uwe Zessin
$!--
$ write SYS$OUTPUT F$FAO("!79*-")
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$! on ERROR then $ exit %X2C
$ set noON
$! -----
$ if (F$GETSYI("HW_MODEL").ge.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$! -----
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS.TOOLS]
$ ZIP = "$" + F$ENVIRONMENT("DEFAULT") + "ZIP_"    + _ARCH 
$! ----------------------------------------
$!+
$! create temporary directory for distribution tree
$!-
$ create /directory /owner=[1,4] /protection=(g:re,w:re) [PYTHON.DIST_OBJ_TMP]
$ define /translation=(concealed,terminal) -
  PYVMS_DIST_OBJ  '_DEVICE'[PYTHON.DIST_OBJ_TMP.]
$!
$! ----------------------------------------
$!+
$! copy files to temporary tree
$!-
$ backup [-.O_'_ARCH']*.OLB; -
  PYVMS_DIST_OBJ:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [-.O_'_ARCH'.*]CONFIG.OBJ;, PYTHON.OBJ;, FILE_SET_DATE.OBJ; -
  PYVMS_DIST_OBJ:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$ backup [-.O_'_ARCH']README_'_ARCH'.TXT; -
  PYVMS_DIST_OBJ:[*...]*.* /owner=[1,4] /protection=(g:re,w:re)
$!
$! ----------------------------------------
$!+
$! create distribution file
$!-
$ set default PYVMS_DIST_OBJ:[PYTHON]
$!
$! -- lines after the call to ZIP are included as a comment in the .ZIP file
$! --  '.' terminates it
$ ZIP "-V9" -z [000000]PYVMS1_5_1-V008OBJ_'_ARCH'.ZIP [.PYTHON-1_5_1...]*.*;

Python V1.5.1-V008  Object modules kit
See file README_*.TXT
Released on 27-MAR-1999
Copyright 1996-1999 Uwe Zessin 

.
$!
$!
$!@@$ delete PYVMS_DIST_OBJ:[000000...]*.*;*, ;, ;, ;, ;, ;, ;, ;, ;
$!
$ directory /size=all [000000]PYVMS1_5_1-V008OBJ_*.ZIP
$!
$ set DEFAULT '_DEFAULT'
