$!++
$! compile a single source with DEC C and put resulting object into
$! object library, unless otherwise told -- 2-AUG-1997 Uwe Zessin
$!  (extension of version dated 3-NOV-1996 Uwe Zessin)
$! P1 = C source, P2 = object output directory, P3 = object library (""=none)
$!--
$ _SRC    = P1
$ _OBJDIR = P2
$ _OLBFIL = P3
$ if (_OBJDIR .eqs. "") then $ _OBJDIR = "[]"
$!
$ if (F$GETSYI("HW_MODEL").ge.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$!
$ if (_ARCH .eqs. "ALPHA")
$ then
$   PRFX = "/PREFIX_LIBRARY_ENTRIES=ALL_ENTRIES"
$ else
$   PRFX = ""
$ endif
$!
$ _CCQUAL = ""
$ _P = F$LOCATE("/",_SRC)
$ _CCQUAL = F$EXTRACT(_P,9999,_SRC)
$ if (_P .ne. F$LENGTH(_SRC))
$ then
$   _SRC = F$ELEMENT(0,"/",_SRC)
$ endif
$!
$ on ERROR then $ goto ERR_CC
$ write SYS$ERROR "%DCC-I-COMPMOD, compiling module ",_SRC
$ CC /DEBUG /noOPTIMIZE - !/WARNING=noINFORMATION -
  /INCLUDE=([-.INCLUDE],[-]) '_CCQUAL' -
  /OBJECT= '_OBJDIR' -
  '_SRC' 'PRFX'
$!
$ _OBJ = F$PARSE(_SRC,,,"NAME")	! extract module name
$ if (_OBJ .eqs. "") ! ?
$ then
$   _OBJ = _SRC
$ endif
$ if (_OLBFIL .nes. "")	! .OBJ file might not be put into library (e.g. MAIN)
$ then
$   ! library /replace /log '_OLBFIL' 'F_OBJDIR''_OBJ'
$   library /replace '_OLBFIL' 'F$PARSE(_OBJDIR,_OBJ,".OBJ")' ! /log
$   ! F$PARSE, because DCC.COM is called from PCC_VMS.COM, too
$ endif
$!
$ERR_CC:
