$!++
$! compile MACRO sources in the [.VMS] subdirectory -- 06-SEP-1997 Uwe Zessin
$! The resulting .EXE is for the DCL environment.
$! Unsupported components are listed, but disabled via comment.
$!
$! P1 = modulename or "" (all modules including new .OLB)
$!--
$ _SRC = P1
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$ on ERROR then $ goto PROC_EXIT
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS]
$!
$ if (F$GETSYI("HW_MODEL").ge.1024)
$ then
$   _ARCH = "ALPHA"
$ else
$   _ARCH = "VAX"
$ endif
$ _OBJDIR = "[-.VMS.O_''_ARCH'.VMS]"
$ _OLBDIR = "[-.VMS.O_''_ARCH']"
$ _OLBFIL = _OLBDIR + "VMS_MACRO.OLB"
$!
$ if (_SRC .eqs. "")
$ then
$   library /create /log '_OLBFIL'
$ else
$   _SRC = F$PARSE(_SRC,,,"NAME")	! extract module name
$   if (_SRC .nes. "")
$   then
$	call MACRO_LIBR '_SRC'
$	goto PROC_EXIT		! module compiled, done
$   endif
$ endif
$!
$ call MACRO_LIBR VMSDEF_$DCDEF
$ call MACRO_LIBR VMSDEF_$DMTDEF
$ call MACRO_LIBR VMSDEF_$DVIDEF
$ call MACRO_LIBR VMSDEF_$DVSDEF
$ call MACRO_LIBR VMSDEF_$FABDEF
$ call MACRO_LIBR VMSDEF_$FSCNDEF
$ call MACRO_LIBR VMSDEF_$INITDEF
$ call MACRO_LIBR VMSDEF_$JPIDEF
$ call MACRO_LIBR VMSDEF_$LNMDEF
$ call MACRO_LIBR VMSDEF_$MNTDEF
$ call MACRO_LIBR VMSDEF_$NAMDEF
$ call MACRO_LIBR VMSDEF_$PQLDEF
$ call MACRO_LIBR VMSDEF_$PRCDEF
$ call MACRO_LIBR VMSDEF_$PRVDEF
$ call MACRO_LIBR VMSDEF_$PSCANDEF
$ call MACRO_LIBR VMSDEF_$QUIDEF
$ call MACRO_LIBR VMSDEF_$RABDEF
$ call MACRO_LIBR VMSDEF_$SJCDEF
$ call MACRO_LIBR VMSDEF_$STATEDEF
$ call MACRO_LIBR VMSDEF_$SYIDEF
$ call MACRO_LIBR VMSDEF_$TRMDEF
$ call MACRO_LIBR VMSDEF_$UAIDEF
$ call MACRO_LIBR VMSDEF_$XABALLDEF
$! module         VMSDEF_$XABDATDEF	! does not exist
$ call MACRO_LIBR VMSDEF_$XABFHCDEF
$ call MACRO_LIBR VMSDEF_$XABITMDEF
$ call MACRO_LIBR VMSDEF_$XABKEYDEF
$ call MACRO_LIBR VMSDEF_$XABPRODEF
$! module         VMSDEF_$XABRDTDEF	! does not exist
$! module         VMSDEF_$XABSUMDEF	! does not exist
$! module         VMSDEF_$XABTRMDEF	! does not exist
$!
$ call MACRO_LIBR VMSDEF_DIRECTORY	! list of entries for above
$ call MACRO_LIBR VMSDAT_VMSVER
$!
$PROC_EXIT:
$ set DEFAULT '_DEFAULT'
$ exit
$! ----------------------------------------
$MACRO_LIBR: SUBROUTINE
$!+
$! - P1 = module name
$!-
$!.$! -- don't put these modules into the object library
$!.$ if (P1 .eqs. "abc") .or. (P1 .eqs. "xyz")
$!.$ then
$!.$   _OLBFIL = ""
$!.$ endif
$!
$ @[-.VMS]DMACRO 'P1' '_OBJDIR' '_OLBFIL'
$!
$ ENDSUBROUTINE ! MACRO_LIBR: 
