$!++
$! BUILD_DIST_DOC.COM
$! build documentation distribution kit -- 23-MAY-1998 Uwe Zessin
$!
$! 07-FEB-1999 ZE. -- update for split of docu into multiple manuals
$!--
$ write SYS$OUTPUT F$FAO("!79*-")
$ _DEFAULT = F$ENVIRONMENT("DEFAULT")
$! on ERROR then $ exit %X2C
$ set noON
$!
$ _PROCEDURE = F$ENVIRONMENT("PROCEDURE")
$ _DEVICE    = F$PARSE(_PROCEDURE,,,"DEVICE")
$ _DIRECTORY = F$PARSE(_PROCEDURE,,,"DIRECTORY")
$!
$ set DEFAULT '_DEVICE''_DIRECTORY'	! [.VMS.TOOLS]
$!
$! ----------------------------------------
$ write SYS$ERROR -
  "%BUILD_DIST_DOC-W-DOCCUR, procedure assumes that documentation is current"
$!+
$! create temporary directory for distribution tree
$!-
$ create /directory /owner=[1,4] /protection=(g:re,w:re) [PYTHON.DIST_DOC_TMP]
$ define /translation=(concealed,terminal) -
  PYVMS_DIST_DOC  '_DEVICE'[PYTHON.DIST_DOC_TMP.]
$!
$! ----------------------------------------
$!+
$! for printers - bold printing via carriage control
$!                and conversion into '.TXT' files
$!-
$ library /CREATE /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB !
$!
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.STARTGDE]PYVMSSTARTGDE.MEM -
          /MODULE= "PYVMSSTARTGDE.MEM"
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.GENMAN]PYVMSGENMAN.MEM -
          /MODULE= "PYVMSGENMAN.MEM"
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.REFMAN]PYVMSREFMAN.MEM -
          /MODULE= "PYVMSREFMAN.MEM"
$!
$!+
$! for printers understanding ANSI sequences
$!-
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.STARTGDE]PYVMSSTARTGDE.LNI -
          /MODULE= "PYVMSSTARTGDE.LNI"
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.GENMAN]PYVMSGENMAN.LNI -
          /MODULE= "PYVMSGENMAN.LNI"
$ library /INSERT /TEXT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC.REFMAN]PYVMSREFMAN.LNI -
          /MODULE= "PYVMSREFMAN.LNI"
$!
$!+
$! to re-apply record attributes to .MEM file after $LIBRARY/EXTRACT
$!-
$ library /INSERT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.TOOLS]MEM.FDL -
          /MODULE= "MEM.FDL"
$!
$!+
$! correct record attributes to .TXT file after conversion from .MEM
$!-
$ library /INSERT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.TOOLS]TXT.FDL -
          /MODULE= "TXT.FDL"
$!
$!+
$! instructions
$!-
$ library /INSERT PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
                        [-.DOC]README_TLB.TXT -
          /MODULE= "README_TLB.TXT"
$!
$! ----------------------------------------
$!+
$! COPY for simple line-printer output / text editor browsing
$!-
$ backup [-.DOC.*]PYVMSSTARTGDE.TXT;  PYVMS_DIST_DOC:[000000]*.*;0
$ backup [-.DOC.*]PYVMSGENMAN.TXT;    PYVMS_DIST_DOC:[000000]*.*;0
$ backup [-.DOC.*]PYVMSREFMAN.TXT;    PYVMS_DIST_DOC:[000000]*.*;0
$!
$! ----------------------------------------
$ library /TEXT /COMPRESS /DATA=REDUCE /LOG -
  PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB -
  /OUTPUT= PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB
$ purge PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB
$!
$! ----------------------------------------
$ library /list PYVMS_DIST_DOC:[000000]PYVMS1_5_1-V008DOC.TLB
$ directory PYVMS_DIST_DOC:[000000]
$!
